Skip to main content
GET
/
accounting
/
income_statement
Get Income Statement
curl --request GET \
  --url https://api.rootfi.dev/v3/accounting/income_statement \
  --header 'api_key: <api-key>'
import requests

url = "https://api.rootfi.dev/v3/accounting/income_statement"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.rootfi.dev/v3/accounting/income_statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "rootfi_id": 157,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2024-01-22T05:07:31.465Z",
      "rootfi_updated_at": "2024-01-22T05:07:31.000Z",
      "rootfi_company_id": 1089,
      "platform_id": "123456_1",
      "platform_unique_id": "123456",
      "period_start": "2023-10-01",
      "period_end": "2024-01-31",
      "currency_id": "00000000-0000-0000-0000-000000000000",
      "revenue": [
        {
          "name": "Revenue",
          "value": 123456.12,
          "line_items": [
            {
              "name": "Otis Falls",
              "value": 123456.12,
              "account_id": "123456",
              "line_items": []
            }
          ]
        }
      ],
      "cost_of_goods_sold": [
        {
          "name": "Cost of Goods Sold",
          "value": 123456.12,
          "line_items": [
            {
              "name": "Otis Falls",
              "value": 123456.12,
              "account_id": "123456",
              "line_items": []
            }
          ]
        }
      ],
      "gross_profit": 123456,
      "operating_expenses": [
        {
          "name": "Operating Expenses",
          "value": 123456.12,
          "line_items": [
            {
              "name": "Otis Falls",
              "value": 123456.12,
              "account_id": "123456",
              "line_items": []
            }
          ]
        }
      ],
      "operating_profit": 123456,
      "non_operating_revenue": [
        {
          "name": "Non Operating Revenue",
          "value": 123456.12,
          "line_items": [
            {
              "name": "Otis Falls",
              "value": 123456.12,
              "account_id": "123456",
              "line_items": []
            }
          ]
        }
      ],
      "non_operating_expenses": [
        {
          "name": "Non Operating Expenses",
          "value": 123456.12,
          "line_items": [
            {
              "name": "Otis Falls",
              "value": 123456.12,
              "account_id": "123456",
              "line_items": []
            }
          ]
        }
      ],
      "earnings_before_taxes": 123456,
      "taxes": [
        {
          "name": "Taxes",
          "value": 123456.12,
          "line_items": [
            {
              "name": "Otis Falls",
              "value": 123456.12,
              "account_id": "123456",
              "line_items": []
            }
          ]
        }
      ],
      "net_profit": 123456
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
An income statement is a financial report that shows a business’s revenue, expenses, and net income or loss over a specific period of time. In an accounting platform, an income statement is typically generated automatically based on the financial transactions that have been recorded in the system.

Authorizations

api_key
string
header
required

Query Parameters

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator]

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

sort[period_end]
string | null

The period end date of the income statement

period_start[gte]
string | null

The period start date of the income statement

period_end[lte]
string | null

The period end date of the income statement

period
integer | null

The period of the income statement. This is the monthly grouping of the income statement. For example - If period is 3, then the income statement will be grouped by quarter.

Response

The response object for the income statement endpoint.

data
accountingIncomeStatementObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects